package com.bonus.canteen.core.menu.dto;

import cn.hutool.core.text.CharSequenceUtil;
import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class MenuDishesExportDTO extends PageDTO {
   @ApiModelProperty("需要导出列")
   public List<String> exportCols;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("区域id")
   private List<Long> areaIds;
   @ApiModelProperty("食堂id")
   private List<Long> canteenIds;
   @ApiModelProperty("档口id")
   private List<Long> stallIds;
   @ApiModelProperty("菜品类型列表")
   private List<Long> typeIdList;

   public String getDishesName() {
      return CharSequenceUtil.isBlank(this.dishesName) ? "" : "%" + this.dishesName + "%";
   }


   public List<String> getExportCols() {
      return this.exportCols;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public List<Long> getAreaIds() {
      return this.areaIds;
   }

   public List<Long> getCanteenIds() {
      return this.canteenIds;
   }

   public List<Long> getStallIds() {
      return this.stallIds;
   }

   public List<Long> getTypeIdList() {
      return this.typeIdList;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setAreaIds(final List<Long> areaIds) {
      this.areaIds = areaIds;
   }

   public void setCanteenIds(final List<Long> canteenIds) {
      this.canteenIds = canteenIds;
   }

   public void setStallIds(final List<Long> stallIds) {
      this.stallIds = stallIds;
   }

   public void setTypeIdList(final List<Long> typeIdList) {
      this.typeIdList = typeIdList;
   }

}
